Package Details: cegui-0.7 0.7.9-4

Git Clone URL: https://aur.archlinux.org/cegui-0.7.git (read-only)
Package Base: cegui-0.7
Description: A free library providing windowing and widgets for graphics APIs/engines (legacy version)
Upstream URL: http://crayzedsgui.sourceforge.net
Licenses: MIT
Conflicts: cegui
Provides: cegui
Submitter: rafaelff
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 13
Popularity: 0.013321
First Submitted: 2013-07-14 02:08
Last Updated: 2015-07-08 03:21

Latest Comments

MrEvilBreakfast commented on 2016-01-31 00:38

I'm getting make errors; specifically at the end:

"Makefile:451: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1"

Before then, I see a:

"/usr/include/boost/python/converter/registered.hpp:83:3: note: template argument deduction/substition failed:"

Then another python based line about mismatched types.
@carstene1ns, which version of python did you force? Or specifically, what did you do?

aurelien commented on 2015-11-07 10:49

build fine here on Parabola GNU / Linux-libre (in clean chroot)

carstene1ns commented on 2014-01-03 03:54

This package might be a bit broken currently. I had to force the lua and python versions to use. I have also disabled the ogre and irrlicht renderers, because they are optional and the ogre renderer does not play nicely with ogre>=1.9. If you need them you will find clues in the PKGBUILD to enable them yourself (with additional patching for ogre of course).

carstene1ns commented on 2014-01-03 03:35

This package might be broken currently. When building without a clean chroot, it links with lua 5.2 and python3.
Also I have disabled the ogre renderer, it does not play nicely with ogre>=1.9. And also the irrlicht renderer, because they are optional and if you need them you will find clues in the PKGBUILD to enable them yourself (with additional patching for ogre of course).

carstene1ns commented on 2014-01-03 02:54

I am going to disable the ogre renderer, it does not play nicely with ogre>=1.9. Probably also the irrlicht renderer, because they are optional and if you need them you will find clues in the PKGBUILD to enable them yourself (with additional patching).

carstene1ns commented on 2013-11-11 16:11

This package might be broken currently. When building without a clean chroot, it links with lua 5.2 and python3. However, if you only intend to use it to play SMC, it should work.

bchretien commented on 2013-11-04 13:55

@josephgbr: note that compilation can be done in parallel to some extent by modifying the MAKEFLAGS variable in /etc/makepkg.conf (cf. https://wiki.archlinux.org/index.php/makepkg#MAKEFLAGS).

rafaelff commented on 2013-07-14 02:11

Warning: this package takes long time to compile - 10 minutes in a Intel Core i7.